


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: Utils</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration</a> ]
</div>

<h1>Coverage Summary for Class: Utils (com.dema.timeregistration)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">Utils</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    75%
  </span>
  <span class="absValue">
    (3/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    77.8%
  </span>
  <span class="absValue">
    (7/ 9)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import java.text.SimpleDateFormat;
<i>4</i>&nbsp;import java.time.Instant;
<i>5</i>&nbsp;import java.util.Arrays;
<i>6</i>&nbsp;import java.util.HashSet;
<i>7</i>&nbsp;import java.util.Locale;
<i>8</i>&nbsp;
<i>9</i>&nbsp;public class Utils {
<b class="nc"><i>10</i>&nbsp;    private Utils() {</b>
<b class="nc"><i>11</i>&nbsp;    }</b>
<i>12</i>&nbsp;
<i>13</i>&nbsp;    public static SimpleDateFormat getDateFormat() {
<b class="fc"><i>14</i>&nbsp;        return new SimpleDateFormat(&quot;dd/MM/yyyy HH:mm&quot;, Locale.forLanguageTag(&quot;DA&quot;));</b>
<i>15</i>&nbsp;    }
<i>16</i>&nbsp;
<i>17</i>&nbsp;    public static boolean doTimeIntervalsOverlap(Instant interval1Start, Instant interval1End, Instant interval2Start, Instant interval2End) {
<b class="fc"><i>18</i>&nbsp;        return (interval2Start.isAfter(interval1Start) &amp;&amp; interval2Start.isBefore(interval1End)) ||</b>
<b class="fc"><i>19</i>&nbsp;                interval1Start.equals(interval2Start) ||</b>
<b class="fc"><i>20</i>&nbsp;                (interval2End.isAfter(interval1Start) &amp;&amp; interval2End.isBefore(interval1End)) ||</b>
<b class="fc"><i>21</i>&nbsp;                interval1End.equals(interval2End) ||</b>
<b class="fc"><i>22</i>&nbsp;                (interval2Start.isBefore(interval1Start) &amp;&amp; interval2End.isAfter(interval1End));</b>
<i>23</i>&nbsp;    }
<i>24</i>&nbsp;
<i>25</i>&nbsp;    public static &lt;T&gt; HashSet&lt;T&gt; newHashSet(T... values) {
<b class="fc"><i>26</i>&nbsp;        return new HashSet&lt;&gt;(Arrays.asList(values));</b>
<i>27</i>&nbsp;    }
<i>28</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
